git.net

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [CANCELLED] Release AntUnit 1.4 Based on RC2


On Sun, 24 Jun 2018 at 14:38, Stefan Bodewig <bodewig@xxxxxxxxxx> wrote:

> So if we went to a JUnit 4 only model in antlib-commons with what you
> describe this would require the Antlib that updated to a new
> antlibs-commons version to change all existing JUnit tests?
>

My point was that should some antlib start using JUnit 4-style (annotated)
tests,
then it should depend on ant-testutil 1.9.5 or newer, and, by extension, on
Ant 1.9.x

On top of that, antlib-commons would need adjustments to check for classes
relevant
to JUnit 4; regardless, there are issues with target dependencies like
redundant resolve
or ordering (antlib after setup-for-junit-tests rather than the other way
around).

Gintas